Subject: Re: bug#59532: 28.2; Unable to build emacs with tree-sitter installed

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 24 Nov 2022 10:47:08 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Thierry Volpiatto <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 24 Nov 2022 08:49:51 +0000
>> 
>> >> NOTE: The only way I found to install tree-sitter was cloning from
>> >> github and run make && make install.
>> >
>> > When you do that, where are libtree-sitter.so and libtree-sitter.so.0
>> > installed? in which directory on your system?  Is that directory the same as
>> > the one where you have the other shared libraries used by Emacs, like the
>> > image libraries or GnuTLS?
>> 
>> No, these files are installed in /usr/local/lib.
>
> Then I think you need to tweak tree-sitter's Makefile, or use "make install
> PREFIX=/SOME/DIRECTORY", to install the shared libraries and header files
> where the rest of them are installed on your system.  In any case, so that
> the shared libraries end up in a directory that the dynamic linker scans for
> shared libraries on your system.

Yes, of course I can do that but it seems weird that ./configure locate
these files and make doesn't, isn't it?

-- 
Thierry